Summary:	X Font Rendering library
Summary(pl.UTF-8):	Biblioteka do renderowania fontów
Name:		xorg-lib-libXft
Version:	2.3.2
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/archive/individual/lib/libXft-%{version}.tar.bz2
# Source0-md5:	331b3a2a3a1a78b5b44cfbd43f86fcfe
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	fontconfig-devel >= 2.5.92
BuildRequires:	freetype-devel >= 1:2.3.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXrender-devel >= 0.8.2
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	fontconfig >= 2.5.92
Requires:	freetype >= 1:2.3.0
Requires:	xorg-lib-libXrender >= 0.8.2
Obsoletes:	XFree86-xft
Obsoletes:	XFree86-xft2
Obsoletes:	Xft
Obsoletes:	libXft
Obsoletes:	xft
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xft is a library that connects X applications with the FreeType font
rasterization library. Xft uses fontconfig to locate fonts so it has
no configuration files.

%description -l pl.UTF-8
Xft to biblioteka łącząca aplikacje X z biblioteką rasteryzacji fontów
FreeType. Do odnajdywania fontów wykorzystuje bibliotekę fontconfig,
więc Xft nie ma własnych plików konfiguracyjnych.

%package devel
Summary:	Header files for libXft library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXft
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fontconfig-devel >= 2.5.92
Requires:	freetype-devel >= 1:2.3.0
Requires:	xorg-lib-libXrender-devel >= 0.8.2
Obsoletes:	XFree86-xft-devel
Obsoletes:	XFree86-xft2-devel
Obsoletes:	Xft-devel
Obsoletes:	libXft-devel
Obsoletes:	xft-devel

%description devel
Header files for libXft library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libXft.

%package static
Summary:	Static libXft library
Summary(pl.UTF-8):	Biblioteka statyczna libXft
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	XFree86-xft-static
Obsoletes:	Xft-static
Obsoletes:	libXft-static
Obsoletes:	xft-static

%description static
Static libXft library.

%description static -l pl.UTF-8
Biblioteka statyczna libXft.

%prep
%setup -q -n libXft-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libXft.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXft.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXft.so
%{_libdir}/libXft.la
%dir %{_includedir}/X11/Xft
%{_includedir}/X11/Xft/*.h
%{_pkgconfigdir}/xft.pc
%{_mandir}/man3/Xft.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXft.a
%changelog
* Fri Jun 06 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXft.git;a=log;h=master

* Fri Jun 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 92f1999
- up to 2.3.2

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 3b748fa
- updated to 2.3.1

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> c0f7bed
- updated to 2.3.0
- removed obsolete lcd-filter patch (functionality integrated upstream)

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 6647ab4
- updated to 2.2.0
- xft-config script is gone

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 7e44650
- rebuild
- rel 2

* Tue Oct 13 2009 Jakub Bogusz <qboosh@pld-linux.org> 3373284
- updated to 2.1.14
- updated lcd-filter patch

* Thu Aug 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4251a09
- rel 3; R: fontconfig for main config

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7afd4d1
- release 2

* Wed Jul 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 100624b
- ghost soname symlink

* Wed Jul 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9cdd4ea
- up to 2.1.13

* Wed Feb 21 2007 Jakub Bogusz <qboosh@pld-linux.org> e0bcd88
- runtime dependency on freetype 2.3.0

* Tue Feb 20 2007 qrczak <qrczak@pld-linux.org> 46d150f
- xorg-lib-libXft-lcd-filter.patch: use freetype-2.3.0's LCD filtering
  (based on http://david.freetype.org/lcd/libXft-2.1.7-lcd-filter-2.patch)
- Release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d7b0462
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d2e8854
- converted to UTF-8

* Sat Dec 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 173c0f3
- longer descs, unified -devel/-static

* Sat Dec 09 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> c4d8eca
- tarball was moved to proper lib directory

* Sat Dec 09 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e3df5e
- up to 2.1.12

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1eb656d
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f50d81e
- rebuild

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> d8c858d
- updated to 2.1.11

